Bug 1054378 - [abrt] pdfchain: gtk_tree_row_ref_deleted(): pdfchain killed by SIGSEGV
Summary: [abrt] pdfchain: gtk_tree_row_ref_deleted(): pdfchain killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfchain
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:732ee6345f8e470651abbfe19ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 17:31 UTC by Avvocato Andrea Marengoni
Modified: 2014-12-27 10:05 UTC (History)
3 users (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:55 UTC


Attachments (Terms of Use)
File: backtrace (36.41 KB, text/plain)
2014-01-16 17:31 UTC, Avvocato Andrea Marengoni
no flags Details
File: cgroup (173 bytes, text/plain)
2014-01-16 17:31 UTC, Avvocato Andrea Marengoni
no flags Details
File: core_backtrace (22.48 KB, text/plain)
2014-01-16 17:31 UTC, Avvocato Andrea Marengoni
no flags Details
File: dso_list (12.00 KB, text/plain)
2014-01-16 17:31 UTC, Avvocato Andrea Marengoni
no flags Details
File: environ (1.27 KB, text/plain)
2014-01-16 17:31 UTC, Avvocato Andrea Marengoni
no flags Details
File: exploitable (93 bytes, text/plain)
2014-01-16 17:31 UTC, Avvocato Andrea Marengoni
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-16 17:32 UTC, Avvocato Andrea Marengoni
no flags Details
File: maps (67.73 KB, text/plain)
2014-01-16 17:32 UTC, Avvocato Andrea Marengoni
no flags Details
File: open_fds (1.85 KB, text/plain)
2014-01-16 17:32 UTC, Avvocato Andrea Marengoni
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2014-01-16 17:32 UTC, Avvocato Andrea Marengoni
no flags Details
File: var_log_messages (330 bytes, text/plain)
2014-01-16 17:32 UTC, Avvocato Andrea Marengoni
no flags Details

Description Avvocato Andrea Marengoni 2014-01-16 17:31:39 UTC
Version-Release number of selected component:
pdfchain-0.3.3-5.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        pdfchain
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/pdfchain
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2130
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2509
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9048
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 Avvocato Andrea Marengoni 2014-01-16 17:31:46 UTC
Created attachment 851190 [details]
File: backtrace

Comment 2 Avvocato Andrea Marengoni 2014-01-16 17:31:48 UTC
Created attachment 851191 [details]
File: cgroup

Comment 3 Avvocato Andrea Marengoni 2014-01-16 17:31:51 UTC
Created attachment 851192 [details]
File: core_backtrace

Comment 4 Avvocato Andrea Marengoni 2014-01-16 17:31:53 UTC
Created attachment 851193 [details]
File: dso_list

Comment 5 Avvocato Andrea Marengoni 2014-01-16 17:31:55 UTC
Created attachment 851194 [details]
File: environ

Comment 6 Avvocato Andrea Marengoni 2014-01-16 17:31:57 UTC
Created attachment 851195 [details]
File: exploitable

Comment 7 Avvocato Andrea Marengoni 2014-01-16 17:32:00 UTC
Created attachment 851196 [details]
File: limits

Comment 8 Avvocato Andrea Marengoni 2014-01-16 17:32:03 UTC
Created attachment 851197 [details]
File: maps

Comment 9 Avvocato Andrea Marengoni 2014-01-16 17:32:05 UTC
Created attachment 851198 [details]
File: open_fds

Comment 10 Avvocato Andrea Marengoni 2014-01-16 17:32:07 UTC
Created attachment 851199 [details]
File: proc_pid_status

Comment 11 Avvocato Andrea Marengoni 2014-01-16 17:32:09 UTC
Created attachment 851200 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-07-22 17:46:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2014-07-22 22:11:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Update System 2014-12-12 04:53:06 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 15 Fedora Update System 2014-12-13 09:46:04 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-12-15 04:27:55 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.